CREATE procedure [C6MartPeriodico].[inserisci_promotori_fittizi] as
begin
insert into [C6StagingPeriodico].[ADS4WS_PROMOTORI] (rete,codice,prefisso,firma)  
SELECT DISTINCT 
			C6.RETE,
			C6.COD_AGENTE AS AGENTE,
			CASE C6.RETE 
				WHEN 'F' THEN 'R' 
				ELSE 'P' 
			END AS PREFISSO,
			CASE C6.RETE 
				WHEN 'F' THEN 'R' 
				ELSE 'P' 
			END + C6.COD_AGENTE AS FIRMA
		FROM C6MartPeriodico.RP_vContrattiPerGenerazioneReport C6
		INNER JOIN C6MART.CODICI_PROMOTORI_FITTIZI PF
			ON (C6.COD_AGENTE BETWEEN PF.CODICEDA AND PF.CODICEA)
			AND C6.RETE = PF.RETE
end